igeo

## Interface IParticleOnCurveI

- All Superinterfaces:
    IArithmeticVal<IVecI,IDoubleI>, IParameter, IParticleI, ITransformable, IVal, IVecI, IVecOp
  All Known Implementing Classes:
    IParticleOnCurve, IParticleOnCurveAgent, IParticleOnCurveGeo

      public interface IParticleOnCurveI
      extends IParticleI

  Class of an implementation of IDynamicObject to have physical attributes of point. It has attributes of position, velocity, acceleration, force, and mass. Position is provided from outside to be linked.
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IParticleOnCurveI` | `addUForce(double uforce)`
    `ICurveI` | `curve()`
    `IParticleOnCurveI` | `resetUForce()`
    `double` | `uforce()`
    `IParticleOnCurveI` | `uforce(double uf)`
    `double` | `ufrc()`
    `IParticleOnCurveI` | `ufrc(double uf)`
    `double` | `upos()`
    `IParticleOnCurveI` | `upos(double u)`
    `double` | `uposition()`
    `IParticleOnCurveI` | `uposition(double u)`
    `IParticleOnCurveI` | `upull(double uforce)`
    `IParticleOnCurveI` | `upush(double uforce)`
    `IParticleOnCurveI` | `ureset()`
    `double` | `uvel()`
    `IParticleOnCurveI` | `uvel(double uv)`
    `double` | `uvelocity()`
    `IParticleOnCurveI` | `uvelocity(double uv)`

    - ### Methods inherited from interface igeo.IParticleI

      `acc, acceleration, addForce, addForce, decay, decay, fix, fixed, force, force, frc, frc, fric, fric, friction, friction, mass, mass, pos, pos, position, position, pull, pull, push, push, removeTarget, removeTarget, reset, resetForce, skipUpdateOnce, skipUpdateOnce, target, target, targetNum, targets, unfix, updateTarget, vel, vel, velocity, velocity`

    - ### Methods inherited from interface igeo.IVecI

      `add, add, add, add, add, add, add, angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cp, cp, cp, cp, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, div, div, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, flip, get, getX, getY, getZ, isValid, len, len, len, len, len, len2, len2, len2, mid, mid, mirror, mirror, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, nml, ref, ref, ref, ref, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, transform, transform, transform, transform, translate, translate, translate, unit, x, x, x, x, x, x, x, y, y, y, y, y, y, y, z, z, z, z, z, z, zero`

- - ### Method Detail

    - #### curve

          ICurveI curve()

    - #### uposition

          IParticleOnCurveI uposition(double u)

    - #### upos

          IParticleOnCurveI upos(double u)

    - #### uposition

          double uposition()

    - #### upos

          double upos()

    - #### uvelocity

          IParticleOnCurveI uvelocity(double uv)

    - #### uvel

          IParticleOnCurveI uvel(double uv)

    - #### uvelocity

          double uvelocity()

    - #### uvel

          double uvel()

    - #### uforce

          IParticleOnCurveI uforce(double uf)

    - #### ufrc

          IParticleOnCurveI ufrc(double uf)

    - #### uforce

          double uforce()

    - #### ufrc

          double ufrc()

    - #### addUForce

          IParticleOnCurveI addUForce(double uforce)

    - #### resetUForce

          IParticleOnCurveI resetUForce()

    - #### upush

          IParticleOnCurveI upush(double uforce)

    - #### upull

          IParticleOnCurveI upull(double uforce)

    - #### ureset

          IParticleOnCurveI ureset()